Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 17:04
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Foxit Reader fixed for puppy and now Chinese/Japanese/korean
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 2 Posts_count   Goto page: Previous 1, 2
Author Message
Colonel Panic


Joined: 16 Sep 2006
Posts: 1514

PostPosted: Wed 06 May 2009, 04:47    Post_subject:  

Thanks. I'm definitely considering the 4.2 series Pup and that's a further reason to upgrade.
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10761
Location: Ontario Canada,Sydney Australia

PostPosted: Wed 06 May 2009, 07:54    Post_subject:  

Also the insert key seamonkey crash is fixed,Search monkey works, avidemux2 Video Editor gtk version works with the gtk patch and a few others, in 4.2, thanks to pizzasgood figuring out the issue, and once it was fixed, so many more things started working properly Smile
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send_private_message Visit_website 
Colonel Panic


Joined: 16 Sep 2006
Posts: 1514

PostPosted: Wed 06 May 2009, 16:07    Post_subject:  

Well I'm in 4.2 now and it still keeps crashing. Maybe I need to upgrade Gtk2 as well?
Back to top
View user's profile Send_private_message 
MrToad


Joined: 13 Dec 2007
Posts: 59
Location: East Devon, GB

PostPosted: Fri 08 May 2009, 12:20    Post_subject:  

Hi ttuuxxx,

I just discovered that the "Fit Width" Page Scaling print-option in Foxit Reader doesn't seem to work on documents that are wider than the paper-size I am printing to. I have successfully printed the centre section of a number of wider-than-A4 documents onto A4 paper!


Once I figured out what was happening I clicked on the adjacent down-arrow, then manually set the width to 70% in the list that came up. The document printed onto A4 fine then, but if you haven't already submitted your comments to the devs you might like to mention it Smile

It's no big deal, as I rarely come across a PDF that's larger than A4, and I always print just the first page of anything to check it prints OK, so I only lose one sheet of paper each time, but I thought I'd mention it anyway.

Of course, it's perfectly possible that I've misunderstood what "Fit Width" means. If it means "Fit the document to the Width of the original" then I plead guilty and nothing is wrong. However, I do vaguely recall that when I used Foxit Reader in MS Windows 98 last year, it didn't seem to behave in this way. Unfortunately I can't check anything at all in MS Windows these days Smile

Regards,

MrToad

Running Puppy 4.00 and loving it!
Back to top
View user's profile Send_private_message 
Peterm321

Joined: 29 Jan 2009
Posts: 232

PostPosted: Wed 13 May 2009, 05:01    Post_subject: Foxit Reader fixed for puppy and now Chinese/Japanese/korean  

The program worked fine for me under the following system:

PIII 550 mhz / 384 MB Ram, Puppy 4.0, Nvidia MX-420 graphics.

I did think that the WIN32 version of Foxit ran a little faster under WINE, though.
Back to top
View user's profile Send_private_message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Thu 14 May 2009, 09:14    Post_subject:  

Code:
# wget --http-user=puppy --http-password=linux -c http://www.puppylinux.asia/tpp/ttuuxxx/programs/documents/FoxitReader1.0-1.pet

_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send_private_message Visit_website 
MikeMT

Joined: 01 Apr 2006
Posts: 87

PostPosted: Tue 07 Jul 2009, 08:45    Post_subject:  

Running Puppy 4.20

I downloaded FoxitReader1.0-1.pet. Fortunately, I found it on this forum and had read the comments before installing, and I learned from Mr. Toads experience, except my setup uses Xvesa not Xorg.

Mr. Toad wrote
"Just in case anyone else finds Foxit vanishes after trying to load a file... I changed my Xorg colour depth from 16 bits to 24 bits and everything was then fine."

With 16 bits mode, running the program in the terminal rendered a similar message as Mr. Toad 's computer.

# /usr/share/Foxit/FoxitReader

(è×tReader:4604): Gdk-WARNING **: The gdk_draw_*_image require the drawable argument to
have a specified colormap. All windows have a colormap,
however, pixmaps only have colormap by default if they
were created with a non-NULL window argument. Otherwise
a colormap must be set on them with gdk_drawable_set_colormap

(è×tReader:4604): Gdk-WARNING **: Attempt to draw a drawable with depth 24 to a drawable with depth 16

Gdk-ERROR **: The program '\xe8\xd7a\u0008tReader' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
(Details: serial 3034 error_code 8 request_code 70 minor_code 0)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
Aborted

The computer has no problem running 24 bits color. My question is has a fix been made for this bug?
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10761
Location: Ontario Canada,Sydney Australia

PostPosted: Tue 07 Jul 2009, 09:02    Post_subject:  

Yes they've been contacted about the issues Smile
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send_private_message Visit_website 
capoverde


Joined: 28 Jun 2006
Posts: 233
Location: Sanremo (Italy) with fine seaview

PostPosted: Tue 12 Oct 2010, 02:24    Post_subject:  

Just downloaded, installed and tested your Foxit Reader .pet package, seems to work like a charm with Lupu 5.11: opened an 800-plus page PDF in a second and printed two pages of it with no fuss at all.

Real cool, thanks again Ttuuxxx (millionth time).
Back to top
View user's profile Send_private_message 
Rope

Joined: 20 Feb 2013
Posts: 281

PostPosted: Fri 06 Dec 2013, 11:16    Post_subject:  

Anyone can upload the file to another host? It is missing. Thanks.

edit:
here
http://dl.dropbox.com/u/33223649/FoxitReader1.0-1.pet

_________________
Puppy Slacko 5.7 frugal (windows installer)
Broken Windows XP after switching from Intel to AMD
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 2 Posts_count   Goto page: Previous 1, 2
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0712s ][ Queries: 13 (0.0054s) ][ GZIP on ]